%global enable_tests 1
%global module_name native-or-bluebird
%global commit0 6f562f773836a0c0a6fd4d8e1af315dd1032733d
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})


Name:           nodejs-%{module_name}
Version:        1.2.0
Release:        2%{?dist}
Summary:        Use either the native Promise or Bluebird

License:        MIT
URL:            https://github.com/normalize/native-or-bluebird
Source0:        https://github.com/normalize/%{module_name}/archive/%{commit0}.tar.gz#/%{module_name}-%{shortcommit0}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(mocha)
BuildRequires: npm(bluebird)
BuildRequires: npm(istanbul)
%endif

%description
Use either bluebird or the native Promise implementation.

%prep
%setup -q -n %{module_name}-%{commit0}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec
istanbul-js cover node_modules/mocha/bin/_mocha -- --reporter dot
istanbul-js cover node_modules/mocha/bin/_mocha --report lcovonly -- --reporter dot
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Tue Jul 14 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.2.0-2
- Follow Git hosting source URL guidelines

* Thu Jul 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.2.0-1
- Initial packaging

